Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Interface ICapabilityManager

    public interface ICapabilityManager

Interface for managing and evaluating capability definitions

Note: new methods may be added to this interface periodically -- therefore, this not a good CM extension point. The recommended extension point is at the Service Provider Interface, in package `com.bea.content.spi`.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`CapabilityLevel` | `checkRepositoryCapability(ContentContext context, ICapabilityDefinition capabilityDef, String repoName)` Determine support for the specified capability definition in the specified repository
`Set<ICapabilityDefinition>` | `getCapabilityDefsOfType(ContentContext context, CapabilityType type, String repoName)` Retrieve all capability definitions of the specified type, for the specified repository
`Set<ICapabilityDefinition>` | `getRepositoryDefinedCapabilities(ContentContext context, String repoName)` Create a capability definition referring to the specified named capability definition.

Method Detail

### getRepositoryDefinedCapabilities

    Set<ICapabilityDefinition> getRepositoryDefinedCapabilities(ContentContext context,
                                                                String repoName)
                                                                throws AuthenticationException,
                                                                       RepositoryException

  Create a capability definition referring to the specified named capability definition. Named capabilities are non-standardized and are repo-specific. Validation will occur when the capability definition is checked against a repository.

  Parameters
    `context` - the content context
    `repoName` - the repository name
  Returns
    a set of all repository defined capability definitions
  Throws
    `AuthenticationException` - - if the user attempting the operation isn't authenticated against the repository.
    `RepositoryException` - - for any other exception

### getCapabilityDefsOfType

    Set<ICapabilityDefinition> getCapabilityDefsOfType(ContentContext context,
                                                       CapabilityType type,
                                                       String repoName)
                                                       throws AuthenticationException,
                                                              RepositoryException

  Retrieve all capability definitions of the specified type, for the specified repository

  Parameters
    `context` - the content context
    `type` - the capability type to retrieve
    `repoName` - the repository name
  Returns
    a set of all capability definitions
  Throws
    `AuthenticationException` - - if the user attempting the operation isn't authenticated against the repository.
    `RepositoryException` - - for any other exception

### checkRepositoryCapability

    CapabilityLevel checkRepositoryCapability(ContentContext context,
                                              ICapabilityDefinition capabilityDef,
                                              String repoName)
                                              throws AuthenticationException,
                                                     RepositoryException

  Determine support for the specified capability definition in the specified repository

  Parameters
    `context` - the ContentContext object
    `capabilityDef` - the capability definition to evaluate
    `repoName` - the repository name
  Returns
    the specified repository's capability level for the specified capability definition
  Throws
    `AuthenticationException` - - if the user attempting the operation isn't authenticated against the repository.
    `RepositoryException` - - for any other exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.